KDE 4.7 PyKDE API Reference

- KDE's Python API

# Phonon Namespace Reference

`from PyKDE4.phonon.Phonon import *`

## Detailed Description

## Class Index

A | M | Path (Phonon)
AbstractAudioOutput (Phonon) | MediaController (Phonon) | PulseSupport (Phonon)
AbstractMediaStream (Phonon) | MediaNode (Phonon) | S
AbstractVideoOutput (Phonon) | MediaObject (Phonon) | SeekSlider (Phonon)
AudioDataOutput (Phonon) | MediaSource (Phonon) | StreamInterface (Phonon)
AudioOutput (Phonon) | Mrl (Phonon) | V
E | N | VideoPlayer (Phonon)
Effect (Phonon) | Notifier (Phonon.BackendCapabilities) | VideoWidget (Phonon)
EffectParameter (Phonon) | O | VideoWidgetInterface (Phonon)
EffectWidget (Phonon) | ObjectDescriptionData (Phonon) | VolumeFaderEffect (Phonon)
G | ObjectDescriptionModelData (Phonon) | VolumeSlider (Phonon)
GlobalConfig (Phonon) | P |

## Enumerations
ObjectDescriptionType | { AudioOutputDeviceType, EffectType, AudioChannelType, SubtitleType, AudioCaptureDeviceType, VideoCaptureDeviceType }
## Functions
Phonon.Path | createPath (Phonon.MediaNode source, Phonon.MediaNode sink)
Phonon.MediaObject | createPlayer (Phonon::Category category, Phonon.MediaSource source=Phonon.MediaSource())
long | qHash (Phonon.EffectParameter param)
| registerMetaTypes ()

## Enumeration Documentation

ObjectDescriptionType

Defines the type of information that is contained in a ObjectDescription object.

Enumerator:

  AudioOutputDeviceType |
  EffectType |
  AudioChannelType |
  SubtitleType |
  AudioCaptureDeviceType |
  VideoCaptureDeviceType |

## Function Documentation

Phonon.Path createPath | ( | Phonon.MediaNode | source,
|  | Phonon.MediaNode | sink
| ) |  |  |

Creates a new Path connecting two MediaNodes.

The implementation will automatically select the right format and media type. E.g. connecting a MediaObject and AudioOutput will create a Path object connecting the audio. This might be represented as PCM or perhaps even AC3 depending on the AudioOutput object.

Parameters:

  | source | The MediaNode to connect an output from

Parameters:

  | sink | The MediaNode to connect to.

Phonon.MediaObject createPlayer | ( | Phonon::Category | category,
|  | Phonon.MediaSource | source=Phonon.MediaSource()
| ) |  |  |

Convenience function to create a MediaObject and AudioOutput connected by a path.

long qHash | ( | Phonon.EffectParameter | param
| ) |  |  |

\class EffectParameter effectparameter.h phonon/EffectParameter This class describes one parameter of an effect.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  Effect

registerMetaTypes | ( |  | ) |

Information about methods for accessing a device

It is used by the platform plugin or the backend to provide information about how to access a certain device. To access a device, one needs the driver name (alsa, oss, pulse for example), and the device name (dependent on the driver name). This type is essentialy a list of pairs of driver and device names.

It can be put in an ObjectDescriptionData property list.

See also:
  DeviceAccess

See also:
  AudioCaptureDevice